<template>
  <v-card max-width="300">
    <v-list two-line dense>
      <v-subheader>{{ title }}</v-subheader>
      <v-list-item-group color="primary">
        <v-list-item v-for="(item, i) in list" :key="i">
          <v-list-item-avatar>
            <v-img :src="item.logo" />
          </v-list-item-avatar>
          <v-list-item-content>
            <v-list-item-title>
              {{ `${item.ranking} - ${item.name}` }}
            </v-list-item-title>
            <v-list-item-subtitle>
              {{ item.industrialSector }}
            </v-list-item-subtitle>
          </v-list-item-content>
        </v-list-item>

        <v-divider v-if="myRanking !== {}" />

        <v-list-item v-if="myRanking !== {}">
          <v-list-item-avatar>
            <v-img :src="myRanking.logo" />
          </v-list-item-avatar>
          <v-list-item-content>
            <v-list-item-title>
              {{ `${myRanking.ranking} - ${myRanking.name}` }}
            </v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list-item-group>
    </v-list>
  </v-card>
</template>

<script>
export default {
  name: "Top5CardList",

  props: {
    title: {
      type: String,
      required: true,
    },
    list: {
      type: Array,
      required: true,
    },
    myRanking: {
      type: Object,
      required: false,
      default: () => ({}),
    },
  },
};
</script>
